<?php
if (file_exists(dirname(dirname(dirname(dirname(__FILE__)))) . '/config.core.php')) {
    /** @noinspection PhpIncludeInspection */
    require_once dirname(dirname(dirname(dirname(__FILE__)))) . '/config.core.php';
} else {
    require_once dirname(dirname(dirname(dirname(dirname(__FILE__))))) . '/config.core.php';
}
/** @noinspection PhpIncludeInspection */
require_once MODX_CORE_PATH . 'config/' . MODX_CONFIG_KEY . '.inc.php';
/** @noinspection PhpIncludeInspection */
require_once MODX_CONNECTORS_PATH . 'index.php';
/** @var Dolyame $Dolyame */
$Dolyame = $modx->getService('DolyamePage', 'DolyamePage', MODX_CORE_PATH . 'components/mspdolyame/model/');
$modx->lexicon->load('mspdolyame:default');

// handle request
$corePath = $modx->getOption('mspdolyame_core_path', null, $modx->getOption('core_path') . 'components/mspdolyame/');
$path = $modx->getOption('processorsPath', $Dolyame->config, $corePath . 'processors/');
$modx->getRequest();

/** @var modConnectorRequest $request */
$request = $modx->request;
$request->handleRequest([
    'processors_path' => $path,
    'location' => '',
]);




