<?php
/** @var modX $modx */
/** @var array $scriptProperties */
/** @var Dolyame $Dolyame */


// [[!Dolyame?&page=`result`]]

$miniShop2 = $modx->getService('minishop2');
$miniShop2->loadCustomClasses('payment');

if (!class_exists('Dolyame')) {
    exit('Error: could not load payment class "Dolyame".');
}


/* @var msPaymentInterface|Dolyame $handler */
$Dolyame = new Dolyame($modx->newObject(msPayment::class));

if (!$Dolyame) {
  return 'Could not load Dolyame class!';
}

$modx->lexicon->load('mspdolyame:default');
$transactionId = $_GET['transaction_id'];


$paid = $Dolyame->getTransactionPaidStatus($transactionId);

$message = $modx->lexicon('mspdolyame.payment_wait');
if ($paid) {
  $message = $modx->lexicon('mspdolyame.payment_success');
}

$properties  = [
  'dolyame_payment_info' => $message,
];

return $modx->getChunk('tpl.Dolyame.payment.info', $properties);